function pfoldini=POfoldInit(funcs,point,method,ext_tau)
%% crude initial guess for fold of periodic orbits
%
% (c) DDE-BIFTOOL v. 3.2a(309), 28/10/2018
%
pfoldini=point;
J=dde_psol_jac_res(funcs,pfoldini,[],method.point);
nullvecs=dde_svdspaces_lr(J,1);
vpoint=dde_point_from_x(nullvecs,pfoldini,[]);
normv=sqrt(dde_coll_dot(vpoint,vpoint)+vpoint.period^2);
vpoint.period=vpoint.period/normv;
vpoint.profile=vpoint.profile/normv;
pfoldini.profile=[pfoldini.profile;vpoint.profile];
pfoldini.parameter=[pfoldini.parameter,vpoint.period,pfoldini.period,ext_tau];
end