%% SetupPeriodDoubling - Initialize continuation of period doubling bifurcation
%%
function [pdfuncs,pdbranch,suc]=SetupPeriodDoubling(funcs,branch,ind,varargin)
%% 
% Simple wrapper around SetupTorusBifurcation to have a sensible name and
% pass on bifurcation type to pdfuncs.
% See <SetupTorusBifurcation.html> for description of input and output.
%
% <html>
% (c) DDE-BIFTOOL v. 3.2a(309), 28/10/2018
% </html>
[pdfuncs,pdbranch,suc]=SetupTorusBifurcation(funcs,branch,ind,'biftype','PD','closest',-1,varargin{:});
end
